#!/bin/sh

## This is a post-processing script to move and merge final results.

cd ost
pwd

## REM stage Ostrich output into its own subdir
if [ -f OstDone.txt    ]; then 
   mv OstDone.txt ./OUTPUT/OstDone.txt
fi
if [ -f OstQuit.txt    ]; then 
   mv OstQuit.txt ./OUTPUT/OstQuit.txt
fi
if [ -f OstExeOut.txt  ]; then
   mv OstExeOut.txt ./OUTPUT/OstExeOut.txt 
fi
if [ -f OstStatus*.txt ]; then
   mv OstStatus*.txt ./OUTPUT/ 
fi
if [ -f OstSaveOut.txt ]; then
   mv OstSaveOut.txt ./OUTPUT/OstSaveOut.txt  
fi
if [ -f OstGcopOut.txt ]; then
   mv OstGcopOut.txt ./OUTPUT/OstGcopOut.txt 
fi

mv OstModel*.txt ./OUTPUT/ 

rm -rf OstTemp*

cd OUTPUT

## Merge all OOSTRICH output files into one file and sort them based on the DUMMY parameter.
## In this example DUMMY is written in column 6 of OstModel files, thus k6 is used. This has to change based on each case stusdy.
cat OstModel*.txt | sort -k6 -g | grep -v Run > OstModelAll.out

echo Files Moved.

